All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
testing::internal::RE Class Reference

## Public Member Functions

| RE (const RE &other)
| RE (const ::std::string &regex)
| RE (const char *regex)
const char * | pattern () const

## Static Public Member Functions

static bool | FullMatch (const ::std::string &str, const RE &re)
static bool | PartialMatch (const ::std::string &str, const RE &re)
static bool | FullMatch (const char *str, const RE &re)
static bool | PartialMatch (const char *str, const RE &re)

## Detailed Description

Definition at line 1156 of file gtest-port.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-port.h